For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chat

Get vendor details for chat

get
/chat-vendor

Retrieve vendor details used for chat.

Header parameters
AuthorizationstringRequired

Bearer token for vendor authentication.

Responses
200

Successfully retrieved vendor details for chat.

statusnumberOptionalExample: 1
messagestringOptionalExample: Successfully Got Vendor Details
get/chat-vendor
GET /backend/api/chat-vendor HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully Got Vendor Details</message>
</object>

Get chat history for a specific user

get
/chat-vendor/chat-history

Retrieve the chat history for a specific user by userId.

Query parameters
userIdintegerRequired

ID of the user for whom the chat history is being fetched.

Header parameters
AuthorizationstringRequired

Bearer token for vendor authentication.

Responses
200

Successfully retrieved chat history.

statusnumberOptionalExample: 1
messagestringOptionalExample: Successfully Got Chat History..!
get/chat-vendor/chat-history
GET /backend/api/chat-vendor/chat-history?userId=1 HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully Got Chat History..!</message>
</object>

Last updated